If I download Mongodb compatible with SLES12 and install in openSuse 42.2, will Mongodb work. Will we face any issue?